﻿package  {
	
	import flash.display.MovieClip;
	import flash.ui.Multitouch;
	import flash.ui.MultitouchInputMode;
	import flash.events.TransformGestureEvent;
	import flash.events.Event;
	
	
	public class SwipeExample extends MovieClip {
		
		private var currentTile:Number = 1;
		private var totalTiles:Number = 4;
		private var slideCounter:Number = 0;
		
		public function SwipeExample() {
			
			if(Multitouch.supportsGestureEvents)
			{
				init();
			} else {
				trace("what you talkin' bout gestures?");
			}
			
		}
		
		private function init():void
		{
			Multitouch.inputMode = MultitouchInputMode.GESTURE;
			this.stage.addEventListener(TransformGestureEvent.GESTURE_SWIPE, handleSwipe);
		}
		
		private function handleSwipe(event:TransformGestureEvent):void
		{
			if(event.offsetX == 1)
			{
				if(currentTile > 1)
				{
					slideRight();
					currentTile--;
				} 
			} else if(event.offsetX == -1)
			{
				if(currentTile < totalTiles)
				{
					slideLeft();
					currentTile++;
				}
			}
			
		}
		
		private function slideLeft():void
		{
			tiles.addEventListener("enterFrame", moveTilesLeft);
		}
		
		private function slideRight():void
		{
			tiles.addEventListener("enterFrame", moveTilesRight);
		}
		
		private function moveTilesLeft(event:Event):void
		{
			tiles.x -= 33;
			slideCounter++;
			
			if(slideCounter == 10)
			{
				tiles.removeEventListener("enterFrame", moveTilesLeft);
				slideCounter = 0;
			}
			
		}
		
		private function moveTilesRight(event:Event):void
		{
			tiles.x += 33;
			slideCounter++;
			
			if(slideCounter == 10)
			{
				tiles.removeEventListener("enterFrame", moveTilesRight);
				slideCounter = 0;
			}
		}
	}
	
}
